org.apache.myfaces.trinidad.menu

## Class GroupNode

- java.lang.Object
- - org.apache.myfaces.trinidad.menu.MenuNode
  - - org.apache.myfaces.trinidad.menu.GroupNode

- Direct Known Subclasses:
    ImmutableGroupNode

      public class GroupNode
      extends MenuNode

  Code specific to a Menu Model's GroupNode.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupNode()` Constructs a GroupNode

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `doAction()` Called by the Default ActionListener when a menu node is clicked/selected.
    `String` | `getDestination()` Get the Destination URL of a page for a GET.
    `String` | `getIdRef()` Get the id of the node referred to by the idref attribute of this node.
    `String[]` | `getIdRefListProperty()`
    `MenuNode` | `getRefNode()` Get the node whose id matches this node's idref attribute value.
    `MenuNode` | `getThreadSafeCopy()` Construct a thread safe version of this object and return it.
    `void` | `setIdRef(String idref)` Sets the idref of the node.

    - ### Methods inherited from class org.apache.myfaces.trinidad.menu.MenuNode

      `getAccessKey, getAccessKeyProperty, getBundleKeyProperty, getBundleNameProperty, getChildren, getChildrenProperty, getDefaultFocusPath, getDefaultFocusPathProperty, getDisabled, getDisabledProperty, getFocusViewId, getFocusViewIdProperty, getHandlerId, getHandlerIdProperty, getIcon, getIconProperty, getId, getIdProperty, getLabel, getLabelAndAccessKey, getLabelAndAccessKeyProperty, getLabelProperty, getModelId, getModelIdProperty, getReadOnly, getReadOnlyProperty, getRendered, getRenderedProperty, getRootId, getRootIdProperty, getRootModel, getRootModelKey, getRootModelKeyProperty, getUniqueId, getUniqueIdProperty, getVisible, getVisibleProperty, postSelectedNode, setAccessKey, setAccessKey, setChildren, setDefaultFocusPath, setDefaultFocusPath, setDisabled, setDisabled, setFocusViewId, setHandlerId, setIcon, setId, setLabel, setLabelAndAccessKey, setModelId, setReadOnly, setReadOnly, setRendered, setRendered, setResBundleKey, setResBundleName, setRootId, setRootModelKey, setVisible, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupNode

          public GroupNode()

      Constructs a GroupNode

  - ### Method Detail

    - #### doAction

          public String doAction()

      Called by the Default ActionListener when a menu node is clicked/selected.
      Overrides:
        `doAction` in class `MenuNode`
      Returns:
        String outcome or viewId used during a POST for navigation.

    - #### getDestination

          public String getDestination()

      Get the Destination URL of a page for a GET.
      Overrides:
        `getDestination` in class `MenuNode`
      Returns:
        String URL of a page.

    - #### setIdRef

          public void setIdRef(String idref)

      Sets the idref of the node. The value of this attribute is an "id" of another node This tells the pointing node where to obtain its viewId and takes precedence (and will replace) the pointing nodes viewId, if one exists. This should point to a node of the same style, e.g. actionNode points to actionNode.
      Parameters:
        `idref` - - String name pointing to the "id" of another node

    - #### getRefNode

          public MenuNode getRefNode()

      Get the node whose id matches this node's idref attribute value.
      Overrides:
        `getRefNode` in class `MenuNode`
      Returns:
        the MenuNode whose id matches this node's idref attribute value.

    - #### getIdRef

          public String getIdRef()

      Get the id of the node referred to by the idref attribute of this node.
      Returns:
        String id of the node referred to by the idref attribure of this node.

    - #### getIdRefListProperty

          public String[] getIdRefListProperty()

    - #### getThreadSafeCopy

          public MenuNode getThreadSafeCopy()

      Description copied from class: `MenuNode`
      Construct a thread safe version of this object and return it.
      Overrides:
        `getThreadSafeCopy` in class `MenuNode`
      Returns:
        a thread safe copy of this object.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.